using System;
using System.Windows.Forms;

namespace TeslaConsole;

public class NoDoubleClickTreeView : TreeView
{
	protected override void WndProc(ref Message m)
	{
		if (m.Msg == 515)
		{
			m.Result = IntPtr.Zero;
		}
		else
		{
			base.WndProc(ref m);
		}
	}
}
